Bug 35654 - cproto crashed when I entered random text
Summary: cproto crashed when I entered random text
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cproto   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-11 16:36 UTC by Nadav Har'El
Modified: 2014-03-17 02:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 16:36:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nadav Har'El 2001-04-11 16:36:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-22 i686)


I didn't know what cproto does (I confused it with cdecl, but that's
besides point), so I just entered a couple of random lines, and it crashed,
like this:
/home/nyh$ cproto
/* stdin */
a
hello
"stdin", line 2: syntax error at token 'hello'
zsh: segmentation fault  cproto

I know "a" and "hello" aren't very useful C instructions, but cproto should
not be crashing even in that case.

Reproducible: Always
Steps to Reproduce:
1. run cproto	 
2. type "a" and newline
3. type "hello" and newline
4. watch the fun.
	

Actual Results:  /home/nyh$ cproto
/* stdin */
a
hello
"stdin", line 2: syntax error at token 'hello'
zsh: segmentation fault  cproto


Expected Results:  Anything but a core dump...

Comment 1 Bill Nottingham 2001-06-12 19:35:27 UTC
Fixed in 4.6-8. Thanks!


Note You need to log in before you can comment on or make changes to this bug.